/*
 * InequalitySystem.java
 *
 * Created on Ketvirtadienis, 2007, Sausio 25, 17.23
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package Main.parser;

import java.util.*;


public class InequalitySystem extends AbstractInequality
{
	Collection mSystem= Collections.EMPTY_LIST;
	
	public InequalitySystem()
	{
		mSystem= new ArrayList();
	}
	
	public boolean isSatisfied()
	{
		//boolean temp= true; 
	    for(Iterator it= mSystem.iterator();it.hasNext();)
		{
			if(((AbstractInequality)it.next()).isSatisfied())
			{
				return true;
			}
		}
		return false;
	}
	
	public void add(AbstractInequality e)
	{
		mSystem.add(e);
	}
	
	public Collection getSystem()
	{
		return Collections.unmodifiableCollection( mSystem );
	}
	
}
